dispatch_if.hpp File Reference

Defines `BOOST_HANA_DISPATCH_IF`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Macros

#define | BOOST_HANA_DISPATCH_IF(IMPL, ...) IMPL
| Dispatch to the given implementation method only when a condition is satisfied. More...

## Detailed Description

Defines `BOOST_HANA_DISPATCH_IF`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)